Skip to main content

EBT Purchase with a Cash Benefits Account and Cash Back


This use case processes a PIN debit Electronic Benefits Transfer (EBT) purchase with a cash benefits account, swiped track data, and cash back. Set processingInformation.electronicBenefitsTransfer.category to CASH and processingInformation.purchaseOptions.isElectronicBenefitsTransfer to true.

Endpoints

POST /pts/v2/payments

POST /pts/v2/payments

Example

{  "clientReferenceInformation": {    "code": "ABC1234",    "partner": {      "thirdPartyCertificationNumber": "PTP1234"    }  },  "processingInformation": {    "commerceIndicator": "retail",    "purchaseOptions": {      "isElectronicBenefitsTransfer": true    },    "electronicBenefitsTransfer": {      "category": "CASH"    },    "networkRoutingOrder": "K"  },  "paymentInformation": {    "card": {      "type": "001",      "useAs": "",      "sourceAccountType": "UA"    },    "paymentType": {      "name": "CARD",      "subTypeName": "DEBIT"    }  },  "orderInformation": {    "amountDetails": {      "totalAmount": "702.00",      "currency": "USD",      "cashbackAmount": "45.00"    }  },  "pointOfSaleInformation": {    "entryMode": "swiped",    "terminalCapability": 4,    "trackData": "%B4xxxxxxxxxxx1111^JONES/JONES ^3112101976110000868000000?;4xxxxxxxxxxx1111=33121019761186800000?",    "pinBlockEncodingFormat": 1,    "encryptedPin": "52F20658C04DB351",    "encryptedKeySerialNumber": "FFFF1B1D140000000005"  }}
{  "_links": {    "void": {      "method": "POST",      "href": "/pts/v2/payments/6898891873156928404951/voids"    },    "self": {      "method": "GET",      "href": "/pts/v2/payments/6898891873156928404951"    }  },  "clientReferenceInformation": {    "code": "ABC1234"  },  "id": "6898891873156928404951",  "orderInformation": {    "amountDetails": {      "authorizedAmount": "702.00",      "currency": "usd"    }  },  "processingInformation": {    "reconciliationId": "6898891873156928404951"  },  "processorInformation": {    "systemTraceAuditNumber": "188477",    "routing": {      "network": "0029"    },    "approvalCode": "831000",    "retrievalReferenceNumber": "123456188477",    "transactionId": "000000000000000",    "responseCode": "00"  },  "reconciliationId": "6898891873156928404951",  "status": "AUTHORIZED",  "submitTimeUtc": "2023-07-03T12:05:01Z"}
FieldDescription
clientReferenceInformation.code—
clientReferenceInformation.partner.thirdPartyCertificationNumber provides the value for this field.
orderInformation.amountDetails.cashbackAmount—
orderInformation.amountDetails.currency—
orderInformation.amountDetails.totalAmount—
paymentInformation.card.sourceAccountTypeSet the value to UA.
paymentInformation.card.type—
paymentInformation.card.useAsLeave this field blank.
paymentInformation.paymentType.nameSet the value to CARD.
paymentInformation.paymentType.subTypeNameSet the value to DEBIT.
pointOfSaleInformation.encryptedKeySerialNumber—
pointOfSaleInformation.encryptedPin—
pointOfSaleInformation.entryModeSet the value to swiped.
pointOfSaleInformation.pinBlockEncodingFormatSet the value to 1.
pointOfSaleInformation.terminalCapability—
pointOfSaleInformation.trackData—
processingInformation.commerceIndicatorSet the value to retail.
processingInformation.electronicBenefitsTransfer.categorySet the value to CASH.
processingInformation.purchaseOptions.isElectronicBenefitsTransferSet the value to true.

Last published: September 29, 2026